toolchain/eglibc: allow building eglibc-2.11 with gcc-4.5.x
[openwrt/svn-archive/archive.git] / toolchain / eglibc / Config.in
index 3caea39..eef4fc2 100644 (file)
@@ -5,8 +5,8 @@ choice
        help
          Select the version of eglibc you wish to use.
 
-       config EGLIBC_VERSION_2_6_1
-               bool "eglibc 2.6.1"
+       config EGLIBC_VERSION_2_6
+               bool "eglibc 2.6"
 
        config EGLIBC_VERSION_2_7
                bool "eglibc 2.7"
@@ -17,6 +17,13 @@ choice
        config EGLIBC_VERSION_2_9
                bool "eglibc 2.9"
 
+       config EGLIBC_VERSION_2_10
+               bool "eglibc 2.10"
+
+       config EGLIBC_VERSION_2_11
+               bool "eglibc 2.11"
+               depends GCC_VERSION_4_3 || GCC_VERSION_4_4 || GCC_VERSION_4_5
+
        config EGLIBC_VERSION_TRUNK
                bool "eglibc trunk"
 
@@ -26,10 +33,12 @@ config EGLIBC_REVISION
        string
        prompt "eglibc revision"
        depends on TOOLCHAINOPTS && USE_EGLIBC
-       default "5887"  if EGLIBC_VERSION_2_6_1
-       default "5886"  if EGLIBC_VERSION_2_7
-       default "6913"  if EGLIBC_VERSION_2_8
-       default "7430"  if EGLIBC_VERSION_2_9
+       default "5887"  if EGLIBC_VERSION_2_6
+       default "8588"  if EGLIBC_VERSION_2_7
+       default "8587"  if EGLIBC_VERSION_2_8
+       default "8690"  if EGLIBC_VERSION_2_9
+       default "9289"  if EGLIBC_VERSION_2_10
+       default "9306"  if EGLIBC_VERSION_2_11
        default "HEAD"  if EGLIBC_VERSION_TRUNK
        default ""